/*=======================================================================================================
                                              Вывод на индикатор
=======================================================================================================*/
void Indic(byte Ind)
{
  u8g2.clearBuffer();
  u8g2.setFontMode(1);
  u8g2.setFont(u8g2_font_ncenB10_tr);
  u8g2.setFontPosTop();
/*-----------------------------------------------------------------------------------------------------*/
  if (Select >= 3)
  {
    if (Zar == 1)
    {
      if (Sec[1] >= 100)                                    // 1 сек
      {
        Sec[1] = 0;
        switch (Dw)
        {
          case 0: Dw = 1; break;
          case 1: Dw = 0; break;
        }
      }
    }
    else Dw = 0;
  }
/*-----------------------------------------------------------------------------------------------------*/
  u8g2.firstPage();
  do 
  {  
    if (Ind == 0) 
    {
      ledcWrite(Pwm_Channel, Var_L);
      ledcWrite(Fan_Channel, Var_L);
      u8g2.drawFrame(29, 17, 80, 27);
      if (Versiya[0] <= 9.9) {u8g2.drawStr(30, 23, "0"); u8g2.setCursor(40, 23); u8g2.print(Versiya[0]);}
      else {u8g2.setCursor(40, 23); u8g2.print(Versiya[0]);}
      if (Versiya[1] <= 9.9) {u8g2.drawStr(60, 23, "0"); u8g2.setCursor(70, 23); u8g2.print(Versiya[1]);}
      else {u8g2.setCursor(60, 23); u8g2.print(Versiya[1]);}
      u8g2.setCursor(83, 23); u8g2.print(Versiya[2]);
    }
/*-----------------------------------------------------------------------------------------------------*/
    else
    {
      u8g2.drawLine(0, 38, 127, 38);                     // Горизонтальная линия
      u8g2.drawLine(20, 0, 20, 38);                      // Вертикальная линия
      u8g2.drawLine(108, 0, 108, 38);                    // Вертикальная линия
      u8g2.drawLine(80, 38, 80, 64);                     // Вертикальная линия
      u8g2.drawFrame(0, 0, 128, 64);                     // Рисуем прямоугольник 128х64 пикселей
      u8g2.setColorIndex(1);                             // Определяем закрасить (1) или нет (0)
/*-----------------------------------------------------------------------------------------------------*/

      u8g2.setFont(u8g2_font_ncenB14_tr);

      if (Volt[0] <= 9.9) {u8g2.setCursor(37, 3); u8g2.print(Volt[0], 3);} 
      else {u8g2.setCursor(27, 3); u8g2.print(Volt[0], 3);} 

      if (Curr[0] <= 9.9) {u8g2.setCursor(37, 20); u8g2.print(Curr[0], 3);}
      else {u8g2.setCursor(27, 20); u8g2.print(Curr[0], 3);} 
    
      u8g2.setFont(u8g2_font_ncenB10_tr);

      u8g2.drawStr(92, 5, "V"); u8g2.drawStr(92, 22, "A");
    
      u8g2.setColorIndex(3);                             // Определяем закрасить (1) или нет (0)
      u8g2.setFont(u8g2_font_ncenB08_tr);

      switch (Select)
      {
        case 0: u8g2.drawStr(20, 40, "POWER");     break;
        case 1: u8g2.drawStr(15, 40, "CURRENT");   break;
        case 2: u8g2.drawStr(20, 40, "DRELL");     break;
        case 3: 
                u8g2.setCursor(5, 40); u8g2.print(Volt_Lim[Select]); 
                u8g2.drawStr(40, 40, "Li"); u8g2.drawStr(53, 40, "-"); u8g2.drawStr(62, 40, "2S");
        break;
        case 4: 
                u8g2.setCursor(5, 40); u8g2.print(Volt_Lim[Select], 2);
                u8g2.drawStr(40, 40, "Li"); u8g2.drawStr(53, 40, "-"); u8g2.drawStr(62, 40, "3S");
        break;
        case 5: 
                u8g2.setCursor(5, 40); u8g2.print(Volt_Lim[Select], 2);
                u8g2.drawStr(40, 40, "Li"); u8g2.drawStr(53, 40, "-"); u8g2.drawStr(62, 40, "4S");
        break;
        case 6: 
                u8g2.setCursor(5, 40); u8g2.print(Volt_Lim[Select], 2);
                u8g2.drawStr(40, 40, "Li"); u8g2.drawStr(53, 40, "-"); u8g2.drawStr(62, 40, "5S");
        break;
        case 7: 
                u8g2.setCursor(5, 40); u8g2.print(Volt_Lim[Select], 2);
                u8g2.drawStr(40, 40, "Li"); u8g2.drawStr(53, 40, "-"); u8g2.drawStr(62, 40, "6S");
        break;
        case 8: u8g2.drawStr(19, 40, "Plumbum");  break;
        case 9: u8g2.drawStr(17, 40, "Plum_Gel"); break;
        case 10: u8g2.drawStr(17, 40, "EEPROM");  break;
      }

      u8g2.drawStr(3, 52, "PWM "); u8g2.setCursor(36, 52); u8g2.print(Level); 
      u8g2.setCursor(87, 40); u8g2.print(Duration); 
      u8g2.setCursor(63, 52); u8g2.print(Curr[2], 1);

      int Spd = Sp_Pwm / 10;
      Sp[0] = Spd / 100;
      Sp[1] = (Spd % 100) / 10;
      Sp[2] = Spd % 10;

      if (Spd >= 100)
      {
        u8g2.setCursor(116,  4); u8g2.print(Sp[0]);
        u8g2.setCursor(116, 14); u8g2.print(Sp[1]);
        u8g2.setCursor(116, 24); u8g2.print(Sp[2]);
      }
      else
      {
        u8g2.setCursor(116,  8); u8g2.print(Sp[1]);
        u8g2.setCursor(116, 20); u8g2.print(Sp[2]);
      }

      Cls[0] = (byte)Cels_BP[0] / 10;
      Cls[1] = (byte)Cels_BP[0] % 10;
    
      u8g2.setCursor(8, 8); u8g2.print(Cls[0]);
      u8g2.setCursor(8, 20); u8g2.print(Cls[1]);
/*-----------------------------------------------------------------------------------------------------*/
      u8g2.setCursor(87, 52); u8g2.print(Hour[0] / 10);
      u8g2.setCursor(96, 52); u8g2.print(Hour[0] % 10);
      if (Dw == 0) {u8g2.setCursor(104, 52); u8g2.print(":");}
      else {u8g2.setCursor(104, 52); u8g2.print(" ");}
      u8g2.setCursor(108, 52); u8g2.print(Minute[0] / 10);
      u8g2.setCursor(117, 52); u8g2.print(Minute[0] % 10);
/*-----------------------------------------------------------------------------------------------------*/
    }
  }
  while(u8g2.nextPage()); 
}
/*=====================================================================================================*/
