/*=======================================================================================================
                                        Функция работы таймера по прерыванию
=======================================================================================================*/
void Timer0_ISR()
{
  Encode();
  
  Sec[1]++; Sec[3]++; Sec[4]++; Sec[5]++; Sec[6]++; Sec[8]++;
  if (Sec[7] >= 1) Sec[7]--;
  if (Sec[9] >= 1) Sec[9]--;
/*-----------------------------------------------------------------------------------------------------*/
  if (Sec[8] >= 100)                                     // 1 сек
  {
    Sec[8] = 0; 
    if (Beep_OFF >= 1)                                    // Три долгих гудка в тумане
    {
      Beep_OFF--; digitalWrite(Beep, HIGH); Beep_ON = 1; Sec[3] = 0;
    }
  }
/*-----------------------------------------------------------------------------------------------------*/
  if (Select == 1)
  {
    if (Sec[5] >= 500)                                   // 5 сек
    {
      Select = 0; digitalWrite(Beep, HIGH); Beep_ON = 1; Sec[3] = 0;
    }
  }
/*-----------------------------------------------------------------------------------------------------*/
  if (Beep_ON == 1)
  {
    if (Sec[3] >= 20)                                    // 0.2 cek
    {
      digitalWrite(Beep, LOW); Beep_ON = 0;
    }
  }
/*-----------------------------------------------------------------------------------------------------*/
  if (Select >= 0)
  {
    if (Zar == 1)                                         // Счетчик Времени
    {
      Sec[0]++;
      if (Sec[0]   >= 100) {Sec[0]    = 0; Second[0]++;}
      if (Second[0] >= 60) {Second[0] = 0; Minute[0]++;}
      if (Minute[0] >= 60) {Minute[0] = 0; Hour[0]++;}
    }
  }
}
/*=======================================================================================================
                                           Обработчик прерывания 1 мс
=======================================================================================================*/
void Timer2_ISR()
{
  if (Select >= 3)                                          // Контроль зарядного тока
  {
    if (Zar == 1) Control_PWM(1); 
  }
/*-----------------------------------------------------------------------------------------------------*/
  if (Select <= 2)                                          // Режим ограничения тока
  {
    Control_PWM(0);
  }
/*-----------------------------------------------------------------------------------------------------*/
  TimeCount++;
  if (TimeCount >= 1020)
  {
    Flag_Cels = 1;
    TimeCount = 0;
    FlagSensReady_BP = true;
  }
  if (TimeCount == 4)  DS_BP.reset();
  if (TimeCount == 10) DS_BP.write(0xCC, POWER_MODE);
  if (TimeCount == 16) DS_BP.write(0x44, POWER_MODE);
  
  if (TimeCount == 871) Present_BP = 0;
  if (TimeCount == 873) Present_BP = DS_BP.reset();

  if (TimeCount == 876) DS_BP.reset();
  if (TimeCount == 879) DS_BP.write(0xCC, POWER_MODE);
  if (TimeCount == 882) DS_BP.write(0xBE, POWER_MODE);

  if (TimeCount == 885)  bufData_BP[0] = DS_BP.read();
  if (TimeCount == 888)  bufData_BP[1] = DS_BP.read();
  if (TimeCount == 891)  bufData_BP[2] = DS_BP.read();
  if (TimeCount == 894)  bufData_BP[3] = DS_BP.read();
  if (TimeCount == 897)  bufData_BP[4] = DS_BP.read();
  if (TimeCount == 1000) bufData_BP[5] = DS_BP.read();
  if (TimeCount == 1003) bufData_BP[6] = DS_BP.read();
  if (TimeCount == 1006) bufData_BP[7] = DS_BP.read();
  if (TimeCount == 1009) bufData_BP[8] = DS_BP.read();
/*-----------------------------------------------------------------------------------------------------*/
}
/*=====================================================================================================*/
